import java.applet.*;
import java.awt.*;


public class Tabela extends Applet
{
   int[] tabela;
   int povprecje;
   int n = 25; // tevilo nakljucnih stevil

   public void init()
   {
      int vsotaSt = 0;
      int a = 0, b = 200; // mejni stevili
      int naklj_st;

      // ustvarimo prostor za tabelo
      tabela = new int[n]; // velikost tabele
      int i = 0;
      while (i < n)
      {
         // izberemo nakljuno t. med a in b
         naklj_st = (int)((b - a + 1) * Math.random() + a);
        // shranimo v tabelo
        tabela[i] = naklj_st;
        vsotaSt = vsotaSt + naklj_st;
        i = i + 1;
      }

      povprecje = (int)vsotaSt / n;
    }


   public void paint (Graphics g)
   {
      int x = 0;
      int y = 10; // zaetek histograma
      int sirina = 10;
      int razmik = 3;

      int i = 0;

      while (i < n)
      {
        // izris nakljunih stolpcev
        if (tabela[i] < 0.90 * povprecje) // izrise stevila, ki so za 10 % manjsa od povprecja
        {
           g.setColor(Color.green);
           g.fillRect(x + i * (sirina + razmik), y, sirina, tabela[i]);
           i = i + 1;
        }
        if (tabela[i] > 1.10 * povprecje) // izrise stevila, ki so za 10 % vecja od povprecja
        {
            g.setColor(Color.red);
            g.fillRect(x + i * (sirina + razmik), y, sirina, tabela[i]);
            i = i + 1;
        }
        if ((tabela[i] <= 1.10 * povprecje)&&(tabela[i] >= 0.90 * povprecje))
        {
            g.setColor(Color.yellow); // izrise stevila, so +/- 10 % od povprecja
            g.fillRect(x + i * (sirina + razmik), y, sirina, tabela[i]);
            i = i + 1;
        }
        {

            g.drawLine(x, povprecje, n * (sirina + razmik), povprecje);
        }

       }


      }
}

